import java.util.Scanner;

public class Examenrepo
{
  public static void main(String args[])
  {
    Scanner teclado = new Scanner(System.in);
    
    System.out.println("Programa que lee un numero y lo imprime aumentado[0:salir]");
    System.out.println();
    
    System.out.println("Ingrese el numero");
    teclado.skip("[\n\r\t ]*");
    String numero = teclado.nextLine ();
    
    System.out.println("Ingrese el factor de aumento");
    int aumento = teclado.nextInt ();
    System.out.println("factor de aumento: (x):"+ aumento);
    
    if (numero.equals("0"))
    {
      return;
    }
    switch(aumento)
    {
    case 1:  
    for(int i=0;i<numero.length();++i)
    {
      if(numero.charAt(i)== '1');   
      {
        for (int fila = 1; fila <= 5; ++fila )
        {
          for ( int columna = 1; columna<=1; ++columna )
            System.out.println(" #"); 
        } 
        
      }
    }
    System.out.println();
    
    for(int i=0;i<numero.length();++i)
    {
      if(numero.charAt(i)== '0');   
      {
        for ( int fila = 1; fila <= 5; fila=fila+2 )
        {
          for ( int columna = 1; columna<=3; columna=columna+2 )
            System.out.println("#"); 
        }  
      }
    }
    System.out.println();
    
    for(int i=0;i<numero.length();++i)
    {
      if(numero.charAt(i)== '2');   
      {
        for ( int fila = 1; fila <= 5; fila=fila+2 )
          
        {
          for ( int columna = 1; columna<=3; columna=columna-2 )
            System.out.println("#");
          for ( fila = 1; fila <= 3; fila=fila+2 )
            System.out.println(" ");
          
        }         
      } 
    }
    
   case 2:  
    for(int i=0;i<numero.length();++i)
    {
      if(numero.charAt(i)== '1');   
      {
        for (int fila = 1; fila <= 5; ++fila )
        {
          for ( int columna = 1; columna<=1; ++columna )
            System.out.println(" ##"); 
        } 
        
      }
    }
    System.out.println();
    
    for(int i=0;i<numero.length();++i)
    {
      if(numero.charAt(i)== '0');   
      {
        for ( int fila = 1; fila <= 5; fila=fila+2 )
        {
          for ( int columna = 1; columna<=3; columna=columna+2 )
            System.out.println("##"); 
        }  
      }
    }
    System.out.println();
    
    for(int i=0;i<numero.length();++i)
    {
      if(numero.charAt(i)== '2');   
      {
        for ( int fila = 1; fila <= 5; fila=fila+2 )
          
        {
          for ( int columna = 1; columna<=3; columna=columna-2 )
            System.out.println("##");
          for ( fila = 1; fila <= 3; fila=fila+2 )
            System.out.println(" ");
          
        }         
      } 
    } 
  }
}
}




 


